from fastapi import APIRouter, Depends, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.fruit import FruitSchema, FruitCreate
from helpers.fruit_helpers import create_fruit

router = APIRouter()

@router.post("/create-fruits", status_code=status.HTTP_201_CREATED, response_model=FruitSchema)
async def create_new_fruit(
    fruit: FruitCreate,
    db: Session = Depends(get_db)
):
    """Create a new fruit"""
    new_fruit = create_fruit(db=db, fruit_data=fruit)
    return new_fruit